#!python2
#coding: utf-8


import photos
import os
import clipboard
import dialogs
import console

# ------------------設定部---------------------

# テキストファイル時のみ後処理（True or False）
copyToClipboard = True
shareText = True

# 後処理 (True or False)
saveAsFile = True
openIn = True # saveAsFileをTrueに設定する必要あり

# ファイル保存先ディレクトリ
destinationDirectory = "OrangeMint"

# --------------------------------------------

# 64dot
dummyLength = 1352
fileNameLength = 256

if (not os.path.exists(destinationDirectory)):
	os.mkdir(destinationDirectory)

try:
	f = photos.pick_asset().get_image_data(original=True)
except:
        # cancel
	exit()

f.seek(dummyLength)
fileName = f.read(fileNameLength).replace(":", "")
f.seek(dummyLength + fileNameLength)
contentLength = len(f.getvalue())
data = f.read(contentLength - dummyLength - fileNameLength)

root, ext = os.path.splitext(fileName)

destinationPath = os.path.join(destinationDirectory, fileName)

if (ext.lower() == ".txt"):
	encodings = ["euc-jp", "shift-jis", "utf-8", "iso-2022-jp"]
	for en in encodings:
		try:
			txt = data.decode(encoding=en)
		except:
			next
	txt = txt.replace("\r\n", "\r").replace("\n", "\r")
	if (copyToClipboard):
		clipboard.set(txt)
		dialogs.hud_alert("Text copied", "", 1)
	if (saveAsFile):
		with open(destinationPath, 'wb') as saveFile:
			saveFile.write(txt)
		dialogs.hud_alert("Text File saved", "", 1)
	if (shareText):
		dialogs.share_text(txt)
else:
	if (saveAsFile):
		with open(destinationPath, 'wb') as saveFile:
			saveFile.write(data)
		dialogs.hud_alert("File saved", "", 1)

if (saveAsFile and openIn):
	console.open_in(destinationPath)
